# Uses of Class
com.google.protobuf.DescriptorProtos.GeneratedCodeInfo

Packages that use DescriptorProtos.GeneratedCodeInfo
Package
Description
com.google.protobuf
com.google.protobuf.compiler

## Uses of DescriptorProtos.GeneratedCodeInfo in com.google.protobuf

Fields in com.google.protobuf with type parameters of type DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Field
Description
`static final Parser<DescriptorProtos.GeneratedCodeInfo>`
DescriptorProtos.GeneratedCodeInfo.`PARSER`
Deprecated.
Methods in com.google.protobuf that return DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Method
Description
`DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.Builder.`build()`
`DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.Builder.`buildPartial()`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`getDefaultInstance()`
`DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.Builder.`getDefaultInstanceForType()`
`DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`getDefaultInstanceForType()`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(byte[] data)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(ByteString data)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(CodedInputStream input)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(InputStream input)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(ByteBuffer data)`
`static DescriptorProtos.GeneratedCodeInfo`
DescriptorProtos.GeneratedCodeInfo.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Method
Description
`Parser<DescriptorProtos.GeneratedCodeInfo>`
DescriptorProtos.GeneratedCodeInfo.`getParserForType()`
`static Parser<DescriptorProtos.GeneratedCodeInfo>`
DescriptorProtos.GeneratedCodeInfo.`parser()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Method
Description
`DescriptorProtos.GeneratedCodeInfo.Builder`
DescriptorProtos.GeneratedCodeInfo.Builder.`mergeFrom(DescriptorProtos.GeneratedCodeInfo other)`
`static DescriptorProtos.GeneratedCodeInfo.Builder`
DescriptorProtos.GeneratedCodeInfo.`newBuilder(DescriptorProtos.GeneratedCodeInfo prototype)`

## Uses of DescriptorProtos.GeneratedCodeInfo in com.google.protobuf.compiler

Methods in com.google.protobuf.compiler that return DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Method
Description
`DescriptorProtos.GeneratedCodeInfo`
PluginProtos.CodeGeneratorResponse.File.Builder.`getGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`DescriptorProtos.GeneratedCodeInfo`
PluginProtos.CodeGeneratorResponse.File.`getGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`DescriptorProtos.GeneratedCodeInfo`
PluginProtos.CodeGeneratorResponse.FileOrBuilder.`getGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
Methods in com.google.protobuf.compiler with parameters of type DescriptorProtos.GeneratedCodeInfo
Modifier and Type
Method
Description
`PluginProtos.CodeGeneratorResponse.File.Builder`
PluginProtos.CodeGeneratorResponse.File.Builder.`mergeGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo value)`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
PluginProtos.CodeGeneratorResponse.File.Builder.`setGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo value)`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`